Bug 668719 - (CVE-2011-0281) CVE-2011-0281 krb5: KDC hang when using LDAP backend caused by special principal name (MITKRB5-SA-2011-002)
CVE-2011-0281 krb5: KDC hang when using LDAP backend caused by special princi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://web.mit.edu/kerberos/advisorie...
public=20110208,reported=20110110,sou...
: Security
Depends On: 671096 671097 671101 671102 676127
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-11 06:39 EST by Jan Lieskovsky
Modified: 2012-06-21 05:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 05:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-01-11 06:39:17 EST
A denial of service flaw was found in the way 
MIT Key Distribution Center (KDC) daemon processed
certain principal names provided in request for 
ticket-granting ticket, when the krb5kdc daemon was 
configured to use an LDAP back end. A remote attacker 
could use this flaw to cause a krb5kdc daemon hang
via a ticket-granting ticket request for specially-crafted
principal name.

Acknowledgements: 

Red Hat would like to thank the MIT Kerberos project for reporting
this issue. Upstream acknowledges Kevin Longfellow of Oracle Corporation
as the original reporter.
Comment 5 Jan Lieskovsky 2011-01-20 04:14:18 EST
This issue does NOT affect the versions of the krb5 package,
as shipped with Red Hat Enterprise Linux 3 or 4, as those
versions do not support LDAP back end yet.

--

This issue affects the versions of the krb5 package, as shipped
with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the krb5 package, as shipped
with Fedora release of 13 and 14.
Comment 8 Vincent Danen 2011-02-08 16:19:48 EST
This issue is now public:

http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2011-002.txt

Statement:

This issue did not affect the versions of krb5 as shipped with Red Hat Enterprise Linux 3 or 4 as they did not include support for the LDAP backend.
Comment 9 Vincent Danen 2011-02-08 16:38:31 EST
Created krb5 tracking bugs for this issue

Affects: fedora-all [bug 676127]
Comment 10 errata-xmlrpc 2011-02-08 16:41:40 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0199 https://rhn.redhat.com/errata/RHSA-2011-0199.html
Comment 11 errata-xmlrpc 2011-02-08 16:52:02 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0200 https://rhn.redhat.com/errata/RHSA-2011-0200.html

Note You need to log in before you can comment on or make changes to this bug.